## chisel 1.11.3

=== Makefile ===
VERSION=$(shell git describe --abbrev=0 --tags)
BUILD=$(shell git rev-parse HEAD)
DIRBASE=./build
DIR=${DIRBASE}/${VERSION}/${BUILD}/bin

LDFLAGS=-ldflags "-s -w ${XBUILD} -buildid=${BUILD} -X github.com/jpillora/chisel/share.BuildVersion=${VERSION}"

GOFILES=`go list ./...`
GOFILESNOTEST=`go list ./... | grep -v test`

# Make Directory to store executables
$(shell mkdir -p ${DIR})

all:
	@goreleaser build --skip-validate --single-target --config .github/goreleaser.yml

freebsd: lint
	env CGO_ENABLED=0 GOOS=freebsd GOARCH=amd64 go build -trimpath ${LDFLAGS} ${GCFLAGS} ${ASMFLAGS} -o ${DIR}/chisel-freebsd_amd64 .

linux: lint
	env CGO_ENABLED=1 GOOS=linux GOARCH=amd64 go build -trimpath ${LDFLAGS} ${GCFLAGS} ${ASMFLAGS} -o ${DIR}/chisel-linux_amd64 .

windows: lint
	env CGO_ENABLED=1 GOOS=windows GOARCH=amd64 go build -trimpath ${LDFLAGS} ${GCFLAGS} ${ASMFLAGS} -o ${DIR}/chisel-windows_amd64 .

darwin:
	env CGO_ENABLED=0 GOOS=darwin GOARCH=amd64 go build -trimpath ${LDFLAGS} ${GCFLAGS} ${ASMFLAGS} -o ${DIR}/chisel-darwin_amd64 .

docker:
	@docker build .

dep: ## Get the dependencies
	@go get -u github.com/goreleaser/goreleaser
	@go get -u github.com/boumenot/gocover-cobertura
	@go get -v -d ./...
	@go get -u all
	@go mod tidy

lint: ## Lint the files
	@go fmt ${GOFILES}
	@go vet ${GOFILESNOTEST}

test: ## Run unit tests
	@go test -coverprofile=${DIR}/coverage.out -race -short ${GOFILESNOTEST}
	@go tool cover -html=${DIR}/coverage.out -o ${DIR}/coverage.html
	@gocover-cobertura < ${DIR}/coverage.out > ${DIR}/coverage.xml

release: lint test
	goreleaser release --config .github/goreleaser.yml

clean:
	rm -rf ${DIRBASE}/*

.PHONY: all freebsd linux windows docker dep lint test release clean

## chisel 1.8.1

=== debian/changelog ===
chisel (1.8.1-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:33:46 +0200

chisel (1.8.1-0kali2) kali-dev; urgency=medium

  * Set version from debian/rules
  * Add basic test
  * Add patch to skip broken tests

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 07 Aug 2023 22:20:15 +0700

chisel (1.8.1-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Configure git-buildpackage for Kali
  * Add GitLab's CI configuration file

  [ Ben Wilson ]
  * Consistency with tabs to spaces

  [ Steev Klimaszewski ]
  * New upstream version 1.8.1
  * Update standards version to 4.6.2, no changes needed.
  * Don't override dh_auto_test.
  * Add patch to hardcode the version
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Tue, 18 Apr 2023 15:24:06 -0500

chisel (1.7.4-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 27 Jan 2021 10:03:05 +0100

=== debian/control ===
Source: chisel
Section: golang
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-armon-go-socks5-dev,
               golang-github-fsnotify-fsnotify-dev,
               golang-github-jpillora-backoff-dev,
               golang-github-jpillora-requestlog-dev (>= 1.0.0-0parrot1),
               golang-github-jpillora-sizestr-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sync-dev,
               golang-websocket-dev
Standards-Version: 4.6.2
Homepage: https://github.com/jpillora/chisel
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/jpillora/chisel

Package: chisel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: fast TCP/UDP tunnel over HTTP (program)
 This package contains a fast TCP/UDP tunnel, transported over HTTP, secured
 via SSH. Single executable including both client and server.  Chisel is mainly
 useful for passing through firewalls, though it can also be used to provide a
 secure endpoint into your network.

## chisel 1.10.1

=== debian/changelog ===
chisel (1.10.1-0kali1) kali-dev; urgency=medium

  * New upstream version 1.10.1

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 09 Oct 2024 08:25:43 +0200

chisel (1.10.0-0kali1) kali-dev; urgency=medium

  * New upstream version 1.10.0

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 05 Aug 2024 12:03:00 +0200

chisel (1.9.1-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * New upstream version 1.8.1

  [ Daniel Ruiz de Alegría ]
  * New upstream version 1.9.1
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 25 Oct 2023 09:52:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: chisel
 Section: golang
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-armon-go-socks5-dev,
                golang-github-fsnotify-fsnotify-dev,
                golang-github-jpillora-backoff-dev,
-               golang-github-jpillora-requestlog-dev (>= 1.0.0-0parrot1),
+               golang-github-jpillora-requestlog-dev (>= 1.0.0-0kali2),
                golang-github-jpillora-sizestr-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sync-dev,
                golang-websocket-dev
 Standards-Version: 4.6.2
+Vcs-Browser: https://gitlab.com/kalilinux/packages/chisel
+Vcs-Git: https://gitlab.com/kalilinux/packages/chisel.git
 Homepage: https://github.com/jpillora/chisel
 Testsuite: autopkgtest-pkg-go
 Rules-Requires-Root: no

## chisel 1.11.3

=== debian/changelog ===
chisel (1.11.3-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Daniel Ruiz de Alegría ]
  * New upstream version 1.11.3

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 29 Sep 2025 15:31:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: golang
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
+Uploaders:
+ Sophie Brun <sophie@offensive-security.com>,
+ Daniel Ruiz de Alegría <daniruiz@kali.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
@@ -20,7 +22,6 @@
 Vcs-Git: https://gitlab.com/kalilinux/packages/chisel.git
 Homepage: https://github.com/jpillora/chisel
 Testsuite: autopkgtest-pkg-go
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/jpillora/chisel
 
 Package: chisel

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

PKG        := github.com/jpillora/chisel
GO_LDFLAGS += -X $(PKG)/share.BuildVersion=$(DEB_VERSION)

export GODEBUG=x509ignoreCN=0

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -- -ldflags '$(GO_LDFLAGS)'

override_dh_auto_install:
	dh_auto_install -- --no-source
	# remove bench binary: only for tests
	rm debian/chisel/usr/bin/bench

=== debian/tests/control ===
Tests: basic-test.sh

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%chisel-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/jpillora/chisel/tags .*/v?(\d\S*)\.tar\.gz debian

## chisel 1.11.4

=== debian/changelog ===
chisel (1.11.4-0kali1) kali-dev; urgency=medium

  * New upstream version 1.11.4
  * Update debian/watch to version 5

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 27 Feb 2026 09:03:13 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                golang-golang-x-net-dev,
                golang-golang-x-sync-dev,
                golang-websocket-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://gitlab.com/kalilinux/packages/chisel
 Vcs-Git: https://gitlab.com/kalilinux/packages/chisel.git
 Homepage: https://github.com/jpillora/chisel

=== debian/watch ===
Version: 5

Template: Github
Owner: jpillora
Project: chisel
Uversionmangle: s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/
